<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//oos.juyouhx.com//DTD Mapper 3.0//EN" "http://oss.juyouhx.com/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.scpyun.platform.standard.jilinsscgsdp.conflictwarning" name="风险因子管理">

    <select id="selectConflictWarningList" parameterType="com.scpyun.platform.jilinsscgsdp.bean.entity.ConflictWarning"
            resultType="com.scpyun.platform.jilinsscgsdp.bean.entity.ConflictWarning">
        select id,
        conflict_warning_name as conflictWarningName,
        conflict_warning_value as conflictWarningValue,
        create_time as create_time,
        create_user as create_user,
        update_time as update_time,
        update_user as updateUser
        from jl_conflict_warning
    </select>

    <update id="updateConflictWarning" parameterType="com.scpyun.platform.jilinsscgsdp.bean.entity.ConflictWarning">
        <foreach collection="list" item="item" index="index" separator=";" open="" close="">
            update jl_conflict_warning
            <set>
                conflict_warning_value = #{item.ConflictWarningValue},
                update_time = now(),
                update_user = #{_user.id}
            </set>
            where
            id = #{item.id}
        </foreach>
    </update>


</mapper>
